import { IpcMain, IpcMainEvent, IpcRenderer } from "electron";
import * as Lib from "pubsub-to-rpc-api";
import * as PM from "./private/model";
declare type DefACA = [IpcMainEvent, ...PM.Any[]];
declare type IpcMainEventEmittersCache = Pick<IpcMain, "on" | "removeListener" | "emit">;
declare type IpcRendererEventEmittersCache = Pick<IpcRenderer, "on" | "removeListener" | "send">;
export declare function createIpcMainApiService<AD extends Lib.Model.ApiDefinition<AD>, ACA2 extends DefACA = DefACA>(createServiceArg: Lib.Model.CreateServiceInput<AD>): {
    register: (actions: PM.Arguments<Lib.Model.CreateServiceReturn<AD, ACA2>["register"]>[0], options?: {
        ipcMain?: IpcMainEventEmittersCache;
        logger?: Lib.Model.Logger;
    }) => ReturnType<Lib.Model.CreateServiceReturn<AD, ACA2>["register"]>;
    client: (clientOptions?: {
        ipcRenderer?: IpcRendererEventEmittersCache;
        options?: PM.Omit<Partial<Lib.Model.CallOptions<AD, ACA2>>, "onEventResolver">;
    }) => ReturnType<Lib.Model.CreateServiceReturn<AD, ACA2>["caller"]>;
};
export {};
