"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.curryOwnFunctionMembers = void 0;
function curryOwnFunctionMembers(src, ...args) {
    const dest = typeof src === "function"
        ? src.bind(undefined) :
        Object.create(null);
    for (const key of Object.getOwnPropertyNames(src)) {
        const srcMember = src[key];
        if (typeof srcMember === "function") {
            dest[key] = srcMember.bind(src, ...args);
        }
    }
    return dest;
}
exports.curryOwnFunctionMembers = curryOwnFunctionMembers;
//# sourceMappingURL=util.js.map