import { IpcMessageEvent, IpcRenderer } from "electron";
import * as Lib from "pubsub-to-rpc-api";
import * as PM from "./private/model";
declare type ACA2 = [IpcMessageEvent, ...PM.Any[]];
declare type RegisterApiIpcRenderer = Pick<IpcRenderer, "on" | "removeListener" | "sendToHost">;
export declare function createWebViewApiService<AD extends Lib.Model.ApiDefinition<AD>>(createServiceArg: Lib.Model.CreateServiceInput<AD>): {
    register: (actions: PM.Arguments<Lib.Model.CreateServiceReturn<AD, ACA2>["register"]>[0], options?: Lib.Model.CreateServiceRegisterOptions<AD, ACA2> & {
        ipcRenderer?: RegisterApiIpcRenderer;
    }) => ReturnType<Lib.Model.CreateServiceReturn<AD, ACA2>["register"]>;
    client: (webView: Electron.WebviewTag, params?: {
        options?: Partial<Lib.Model.CallOptions<AD, ACA2>>;
    }) => ReturnType<Lib.Model.CreateServiceReturn<AD, ACA2>["caller"]>;
};
export {};
